/**
 * Type that identifies a value as a static class, even if it is not instantiable.
 */
export type StaticClass<T, T2> = Function & {prototype: T} & T2

/**
 * Returns true if the parameter is a static class.
 * @param something
 */
export function isStaticClass<T, T2>(something: any): something is StaticClass<T, T2> {
    return typeof something === 'function' && typeof something.prototype !== 'undefined'
}
